RubyGems Navigation menu

sorbet-coerce 0.5.0

A type coercion lib works with Sorbet's static type checker and type definitions; raises an error if the coercion fails.

Versions:

  1. 0.5.0 - May 24, 2021 (9 KB)
  2. 0.4.0 - March 18, 2021 (8.5 KB)
  3. 0.3.0 - January 06, 2021 (8.5 KB)
  4. 0.2.7 - May 12, 2020 (8.5 KB)
  5. 0.2.6 - April 25, 2020 (8.5 KB)
Show all versions (19 total)

Runtime Dependencies (3):

  • polyfill ~> 1.8
  • safe_type ~> 1.1, >= 1.1.1
  • sorbet-runtime >= 0.4.4704
  • Development Dependencies (3):

  • byebug >= 11.0.1, ~> 11.0.1
  • rspec >= 3.8, ~> 3.8
  • sorbet >= 0.4.4704
  • Owners:

    Pushed by:

    Authors:

    • Chan Zuckerberg Initiative

    SHA 256 checksum:

    7591169464306c892cd42d6b8cb0023e1626ba0378d31af1b764bec182a4e687

    Total downloads 974,338

    For this version 55,894

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 2.4.0

    Links: